Skip to main content
Platform Operations/ZMetis Tasks

ListZmetisTasks

List ZMetis long-running tasks visible to the current actor. For security.anheng, a trusted platform-admin always uses its owner-scoped global identity without a Cloud Project query; a project-admin supplies X-ZStack-Session to derive exactly one Project. The frontend does not send ProjectID and non-AH task domains are unchanged.

GET/api/v1/zmetis/tasks

Operation ID

ListZmetisTasks

Since

1.2.8

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • domain
    String

    Task domain used to filter the results

  • taskType
    String

    Task type used to filter the results

  • taskState
    String

    Task state used to filter the results

  • resourceType
    String

    Resource type value used to filter the results

  • resourceUuid
    String

    Resource UUID used to filter the results

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • taskId
      String

      Task id for this resource

      Example: b8b4f3de49de4384a3de0aa0d71d6f31

    • domain
      String

      Domain for this resource

      Example: security.anheng

    • resourceType
      String

      Resource type for this resource

      Example: anheng_instance

    • resourceUuid
      String

      Resource uuid for this resource

      Example: instance-uuid

    • taskType
      String

      Task type for this resource

      Example: open

    • taskState
      String

      Task state for this resource

      Example: running

    • currentStep
      String

      Current step for this resource

      Example: create_cloud_vm

    • failedStep
      String

      Failed step for this resource

      Example: create_cloud_vm

    • retryOfTaskId
      String

      Retry of task id for this resource

      Example: original-task-uuid

    • retryFromStep
      String

      Retry from step for this resource

      Example: create_cloud_vm

    • requestId
      String

      Request id for this resource

      Example: request-123

    • steps
      List

      Steps for this resource

      Example: (nested array)

      • stepCode
        String

        Step code for this resource

        Example: create_cloud_vm

      • status
        String

        Status for this resource

        Example: running

      • errorCode
        String

        Error code for this resource

        Example: ANHENG_CLOUD_SESSION_REQUIRED

      • errorMessage
        String

        Error message for this resource

        Example: Cloud session is required to continue this task

      • startedAt
        String

        Started at for this resource

        Example: 2026-01-15T08:00:00Z

      • finishedAt
        String

        Finished at for this resource

        Example: 2026-01-15T08:00:00Z

    • blockedReasons
      List

      Blocked reasons for this resource

      Example: (nested array)

      • code
        String

        Machine-readable reason or status code

        Example: ANHENG_CLOUD_SESSION_REQUIRED

      • message
        String

        Message for this resource

        Example: Cloud session is required to continue this task

      • source
        String

        Source for this resource

        Example: security.anheng

      • severity
        String

        Severity for this resource

        Example: error

      • retryable
        Boolean

        Retryable for this resource

        Example: true

    • retryable
      Boolean

      Retryable for this resource

      Example: true

    • createdAt
      String

      Created at for this resource

      Example: 2026-01-15T08:00:00Z

    • updatedAt
      String

      Updated at for this resource

      Example: 2026-01-15T08:00:00Z

    • finishedAt
      String

      Finished at for this resource

      Example: 2026-01-15T08:00:00Z

  • total
    String

    Total for this resource

    Example: 1

  • limit
    Integer

    Limit for this resource

    Example: 20

  • offset
    Integer

    Offset for this resource

    Example: 20

  • Change Time

    AddedRequest parameters X-ZStack-Session
    View API